Bug 434812 - [RHEL5.2]: virt-viewer doesn't capture Alt-s, even when the focus is "grabbed"
[RHEL5.2]: virt-viewer doesn't capture Alt-s, even when the focus is "grabbed"
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-viewer (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Berrange
: Regression
Depends On:
  Show dependency treegraph
Reported: 2008-02-25 11:50 EST by Chris Lalancette
Modified: 2008-05-21 10:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2008-0467
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Disable the accelerators when the pointer is grabbed (2.99 KB, patch)
2008-03-03 16:16 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2008-02-25 11:50:00 EST
Description of problem:
When using virt-install to install a fully-virt domain using the graphical
console, virt-install ends up calling out to virt-viewer for the console.  This
is fine, however, trying to use Alt-s, Alt-f, or Alt-h *inside* the guest always
calls out to the GTK accelerator, instead of sending inside the guest.  When the
mouse is grabbed, I would expect the Alt- key combinations to be passed through
to the guest automatically.

Comment 1 RHEL Product and Program Management 2008-02-25 11:57:53 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 Chris Lalancette 2008-03-03 16:15:09 EST
Well, this all has to do with the accelerator keys; I've posted a patch to
et-mgmt-tools list that seems to fix this particular issue.  I'll attach it here
for reference as well.

Chris Lalancette
Comment 3 Chris Lalancette 2008-03-03 16:16:44 EST
Created attachment 296680 [details]
Disable the accelerators when the pointer is grabbed
Comment 4 RHEL Product and Program Management 2008-03-11 15:35:55 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 5 Chris Lalancette 2008-03-12 13:44:01 EDT
Even though virt-viewer is new in 5.2, in terms of user experience from 5.1,
this is a regression (esp. for things like virt-install).  Marking as a regression.

Chris Lalancette
Comment 6 RHEL Product and Program Management 2008-03-12 13:49:05 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 7 Bill Burns 2008-03-20 09:03:08 EDT
Set dev ack for Dan.
Comment 10 Daniel Berrange 2008-03-27 18:56:19 EDT
Built into virt-viewer-0.0.2-2.el5
Comment 12 Gurhan Ozen 2008-04-15 00:50:22 EDT
Not sure what's going on here.. But sending alt+s when the mouse pointer is
grabbed in virt-viewer is locking console up. 
Comment 13 Daniel Berrange 2008-04-16 14:08:09 EDT
It works fine for my testing.

I tested a RHEL-5 guest

 - Run X inside the guest.
 - Open a gnome-terminal
 - Run  'xev' in the terminal
 - Active the pointer grab
 - Type  'Alt+s' and observe the keys are reported correctly by xev.
Comment 14 Gurhan Ozen 2008-04-18 16:17:02 EDT
I can reproduce this but in a different config. 

The guest is RHEL5 gold hvm, running in runlevel 3 .. 

 - Open the guest up in virt manager, let it grab the focus.
 - Type something , send ALT+S , type something .. 
 - Press CTRL+ALT to claim the focus, send ALT+S .. 
 - Then the console acts up. You can get it to act normal again by pressing
alt+S again. it seems like when ALT+S is sent to the virt-viewer while the focus
grabbed by it, still leaves the ALT key on, so everything else sent afterwards
looks like it's been sent with ALT+thekey.

  Any ideas? 

Comment 15 Daniel Berrange 2008-04-18 16:23:38 EDT
Please stop mixing up virt-manager & virt-viewer in testing. This bug is against
virt-viewer only - i make no claims as to whether virt-manager traps Alt+S or
not. I have only fixed virt-viewer. File a separate bug if there are issues in
Comment 16 Gurhan Ozen 2008-04-18 16:59:55 EDT
I apologize for the typo , i did indeed do this with virt-viewer . 
s/virt manager/virt-viewer/

Comment 17 Bill Burns 2008-04-23 12:02:08 EDT
Moving this back to ON-QA as this issue is fixed. Please create another bug for
additional issues. Thanks.
Comment 20 errata-xmlrpc 2008-05-21 10:27:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.